Update View

Change the settings of a current view by its name. All parameters are
optional.

If you don't define a parameter, existing settings for this parameter will not be changed.

To remove existing filters, sortings or groups you have to send an empty object like this:
"sorts": [{}]

Path Params
string
required

The unique identifier of a base. Sometimes also called dtable_uuid.

string
required

The name of the view.

Query Params
string
required

The name of the table to perform the operation on. Alternatively, you can use the table_id instead of table_name. If using table_id, ensure that the key in the request body is replaced accordingly.
Example: Instead of table_name: Table1 you can use table_id: 0000.

Body Params
string

The name of the view to perform the operation on. Alternatively, you can use the view_id instead of view_name. If using view_id, ensure that the key in the request body is replaced accordingly.
Example: Instead of view_name: Default View you can use view_id: 0000.

boolean
filters
array

filter of your view

filters
string
enum

If your view has multiple filters you have to decide how the filters should hang together.

Allowed:
sorts
array of objects

sorting of your view

sorts
groupbys
array of objects

grouping of your view

groupbys
hidden_columns
array of strings

IDs of the columns that should be hidden

hidden_columns
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json